Skip to content

S3  >  Operations  >  put_bucket_abac

put_bucket_abac

Operation

put_bucket_abac async

put_bucket_abac(request: PutBucketAbacInput | PutBucketAbacInputDict, /, *, plugins: list[Plugin] | None = None) -> PutBucketAbacOutput
put_bucket_abac(*, plugins: list[Plugin] | None = None, **kwargs: Unpack[PutBucketAbacInputDict]) -> PutBucketAbacOutput

Sets the attribute-based access control (ABAC) property of the general purpose bucket. You must have s3:PutBucketABAC permission to perform this action. When you enable ABAC, you can use tags for access control on your buckets. Additionally, when ABAC is enabled, you must use the TagResource and UntagResource actions to manage tags on your buckets. You can nolonger use the PutBucketTagging and DeleteBucketTagging actions to tag your bucket. For more information, see Enabling ABAC in general purpose buckets.

Parameters:

Name Type Description Default
plugins list[Plugin] | None

A list of callables that modify the configuration dynamically. Changes made by these plugins only apply for the duration of the operation execution and will not affect any other operation invocations.

None

Returns:

Type Description
PutBucketAbacOutput

An instance of PutBucketAbacOutput.

Input

Pass the input fields as keyword arguments, or pass a model or dictionary as the first positional argument. Pass plugins separately as a keyword argument.

Model

PutBucketAbacInput dataclass

Bases: _SerdeShape

Dataclass for PutBucketAbacInput structure.

Attributes
abac_status class-attribute instance-attribute
abac_status: AbacStatus | None = ...

The ABAC status of the general purpose bucket. When ABAC is enabled for the general purpose bucket, you can use tags to manage access to the general purpose buckets as well as for cost tracking purposes. When ABAC is disabled for the general purpose buckets, you can only use tags for cost tracking purposes. For more information, see Using tags with S3 general purpose buckets.

bucket class-attribute instance-attribute
bucket: str | None = ...

The name of the general purpose bucket.

checksum_algorithm class-attribute instance-attribute
checksum_algorithm: str | None = ...

Indicates the algorithm that you want Amazon S3 to use to create the checksum. For more information, see Checking object integrity in the Amazon S3 User Guide.

content_md5 class-attribute instance-attribute
content_md5: str | None = ...

The MD5 hash of the PutBucketAbac request body.

For requests made using the Amazon Web Services Command Line Interface (CLI) or Amazon Web Services SDKs, this field is calculated automatically.

expected_bucket_owner class-attribute instance-attribute
expected_bucket_owner: str | None = ...

The Amazon Web Services account ID of the general purpose bucket's owner.

Dictionaries

PutBucketAbacInputDict

Bases: TypedDict

Dictionary form of PutBucketAbacInput.

Attributes
abac_status instance-attribute

The ABAC status of the general purpose bucket. When ABAC is enabled for the general purpose bucket, you can use tags to manage access to the general purpose buckets as well as for cost tracking purposes. When ABAC is disabled for the general purpose buckets, you can only use tags for cost tracking purposes. For more information, see Using tags with S3 general purpose buckets.

bucket instance-attribute
bucket: Required[str]

The name of the general purpose bucket.

checksum_algorithm instance-attribute
checksum_algorithm: str | None

Indicates the algorithm that you want Amazon S3 to use to create the checksum. For more information, see Checking object integrity in the Amazon S3 User Guide.

content_md5 instance-attribute
content_md5: str | None

The MD5 hash of the PutBucketAbac request body.

For requests made using the Amazon Web Services Command Line Interface (CLI) or Amazon Web Services SDKs, this field is calculated automatically.

expected_bucket_owner instance-attribute
expected_bucket_owner: str | None

The Amazon Web Services account ID of the general purpose bucket's owner.

Output

PutBucketAbacOutput dataclass

Bases: _SerdeShape

Dataclass for PutBucketAbacOutput structure.

Attributes

response_metadata class-attribute instance-attribute
response_metadata: ResponseMetadata = ...

Metadata about the response that produced this output. Use this to recover the request identifiers a service's support team needs in order to investigate a call. Members of the metadata are individually optional.